Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/rspec_bisect_flaky')
-rwxr-xr-xscripts/rspec_bisect_flaky10
1 files changed, 5 insertions, 5 deletions
diff --git a/scripts/rspec_bisect_flaky b/scripts/rspec_bisect_flaky
index efeb9bcb5a0..2ef6dedb4c2 100755
--- a/scripts/rspec_bisect_flaky
+++ b/scripts/rspec_bisect_flaky
@@ -10,20 +10,20 @@ if [ $# -eq 0 ]; then
exit
fi
-files=( $@ )
+files=( "$@" )
len=${#files[@]}
target=${files[$len-1]}
# Trap interrupts and exit instead of continuing the loop
trap "echo Exited!; exit 2;" SIGINT SIGTERM
-# Show which set of specs are running
-set -x
+# Show which set of specs are running and exit immediately if they fail.
+set -xe
# Do the speedy case first, run each spec with our failing spec
for file in "${files[@]}"; do
- bin/rspec $file $target
+ bin/rspec "$file" "$target"
done
# Do a full bisect given we did not find candidates with speedy cases
-bin/rspec --bisect=verbose $@
+bin/rspec --bisect=verbose "$@"